InsertTag.InsertHandler (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.taglib
Class InsertTag.InsertHandler

    java.lang.Object
      org.apache.struts.tiles.taglib.InsertTag.InsertHandler

All Implemented Interfaces:
  InsertTag.TagHandler

Enclosing class:
  InsertTag

    protected class InsertTag.InsertHandler

extends Object
implements InsertTag.TagHandler

Real handler, after attribute resolution. Handle include sub-component.

Field Summary
`protected Controller` | `controller`
`protected ComponentContext` | `currentContext`
`protected String` | `page`
`protected String` | `role`
`protected ComponentContext` | `subCompContext`

Constructor Summary
`InsertTag.InsertHandler(Map attributes, String page, String role, Controller controller)` Constructor.
`InsertTag.InsertHandler(String page, String role, Controller controller)` Constructor.

Method Summary
`int` | `doEndTag()` Include requested page.
`int` | `doStartTag()` Create a new empty context.
`protected void` | `processException(Throwable ex, String msg)` Deprecated. This method will be removed in a release after Struts 1.2.
`void` | `putAttribute(String name, Object value)` Add attribute to sub context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### page

    protected String page

### currentContext

    protected ComponentContext currentContext

### subCompContext

    protected ComponentContext subCompContext

### role

    protected String role

### controller

    protected Controller controller

Constructor Detail

### InsertTag.InsertHandler

    public InsertTag.InsertHandler(Map attributes,
                                   String page,
                                   String role,
                                   Controller controller)

  Constructor. Create insert handler using Component definition.

### InsertTag.InsertHandler

    public InsertTag.InsertHandler(String page,
                                   String role,
                                   Controller controller)

  Constructor. Create insert handler to insert page at specified location.

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Create a new empty context.

  Specified by:
    `doStartTag` in interface `InsertTag.TagHandler`
  Throws:
    `JspException`

### putAttribute

    public void putAttribute(String name,
                             Object value)

  Add attribute to sub context. Do nothing.

  Specified by:
    `putAttribute` in interface `InsertTag.TagHandler`

### doEndTag

    public int doEndTag()
                 throws JspException

  Include requested page.

  Specified by:
    `doEndTag` in interface `InsertTag.TagHandler`
  Throws:
    `JspException`

### processException

    protected void processException(Throwable ex,
                                    String msg)
                             throws JspException

  Deprecated. This method will be removed in a release after Struts 1.2.

  Process an exception. Depending of debug attribute, print full exception trace or only its message in output page.

  Parameters:
    `ex` - Exception
    `msg` - An additional message to show in console and to propagate if we can't output exception.
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.